export class ComponentCache {
    constructor() {
        this.lookupCache = {};
    }
    /**
     * Adds a renderer to {this.lookupCache}
     * @param component The render component.
     * @param key The memoization key.
     * @returns The renderer passed with {component}
     */
    add(component, key) {
        this.lookupCache[key] = component;
        return this.lookupCache[key];
    }
    clear() {
        this.lookupCache = {};
    }
    /**
     * Resolves a renderer from the {lookupCache}.
     * @param key The key to look up.
     * @returns If saved the render component, otherwise undefined.
     */
    get(key) {
        return this.lookupCache[key];
    }
}
