// @ts-ignore Used when looking up values.
export class AttributeKey {
    constructor(key) {
        this.key = key;
    }
    toString() {
        return this.key;
    }
}
// tslint:disable-next-line:max-classes-per-file
export class TypedRecord {
    constructor() {
        this.records = new Map();
    }
    get(key) {
        return this.records.get(key);
    }
    get [Symbol.toStringTag]() {
        return this.records[Symbol.toStringTag];
    }
    get size() {
        return this.records.size;
    }
    [Symbol.iterator]() {
        return this.records[Symbol.iterator]();
    }
    clear() {
        this.records.clear();
    }
    delete(key) {
        return this.records.delete(key);
    }
    entries() {
        return this.records.entries();
    }
    forEach(callbackfn, thisArg) {
        return this.records.forEach(callbackfn, thisArg);
    }
    has(key) {
        return this.records.has(key);
    }
    keys() {
        return this.records.keys();
    }
    set(key, value) {
        this.records.set(key, value);
        return this;
    }
    values() {
        return this.records.values();
    }
}
