import rdfFactory from "@ontologies/core";
import { idToValue } from "../factoryHelpers";
const stringIdOrNewLocal = (id) => {
    if (id === undefined) {
        return rdfFactory.blankNode().value;
    }
    return typeof id === "string" ? id : id.value;
};
export const buildSlice = (creator) => {
    if (creator === undefined) {
        throw new Error("No creator passed");
    }
    const slice = {};
    const builder = {
        record(id) {
            const stringId = stringIdOrNewLocal(id);
            const termId = idToValue(stringId);
            const record = {
                _id: termId,
            };
            const recordBuilder = {
                field(field, value) {
                    const fieldName = typeof field === "string" ? field : field.value;
                    record[fieldName] = value;
                    return recordBuilder;
                },
                id() {
                    return termId;
                },
            };
            slice[stringId] = record;
            return recordBuilder;
        },
    };
    creator(builder);
    return slice;
};
