import ll from "./ontology/ll";
/**
 * Binds various uris to link actions.
 *
 * @see {createStore}
 * @param catchActions {boolean} Set to true to catch all left-over actions to {LinkedRenderStore#execActionByIRI}.
 */
export const linkMiddleware = (catchActions = true) => (lrs) => (next) => (action, args) => {
    if (action.value.startsWith(ll.ns("data/rdflib/").value)) {
        return Promise.resolve(lrs.touch(args[0], args[1]));
    }
    if (catchActions) {
        return lrs.execActionByIRI(action, args);
    }
    return next(action, args);
};
