import { TermType } from "@ontologies/core";
import { idField } from "../StructuredStore";
export const fieldReferences = (values, referenced) => {
    if (Array.isArray(values)) {
        for (const value of values) {
            if (value.termType !== TermType.Literal && value.value === referenced) {
                return true;
            }
        }
    }
    else {
        if (values.termType !== TermType.Literal && values.value === referenced) {
            return true;
        }
    }
    return false;
};
export const hasReferenceTo = (record, referenced) => {
    for (const field in record) {
        if (!record.hasOwnProperty(field) || field === idField) {
            continue;
        }
        const values = record[field];
        if (fieldReferences(values, referenced)) {
            return true;
        }
    }
    return false;
};
export const findAllReferencingIds = (data, referenced) => {
    const found = [];
    for (const id in data) {
        if (!data.hasOwnProperty(id)) {
            continue;
        }
        const record = data[id];
        if (hasReferenceTo(record, referenced)) {
            found.push(id);
        }
    }
    return found;
};
