import { ComponentStore } from "./ComponentStore/ComponentStore";
import { createStore } from "./createStore";
import { DataProcessor } from "./processor/DataProcessor";
import { RDFStore } from "./RDFStore";
import { Schema } from "./Schema";
export class ComponentStoreTestProxy extends ComponentStore {
    publicLookup(predicate, obj, topology) {
        return this.lookup(predicate, obj, topology);
    }
}
export const getBasicStore = (opts = {}) => {
    const report = (e) => { throw e; };
    const store = opts.store ?? new RDFStore();
    const processor = opts.processor ?? new DataProcessor({ report, store, ...opts.apiOpts });
    const api = opts.api ?? processor;
    const schema = opts.schema ?? new Schema(store);
    const mapping = opts.mapping ?? new ComponentStoreTestProxy(schema);
    const conf = {
        api,
        mapping,
        report,
        schema,
        store,
    };
    const lrs = createStore(conf);
    lrs.resourceQueueFlushTimer = 0;
    return {
        dispatch: lrs.dispatch,
        forceBroadcast: () => lrs.broadcast(false, 0),
        lrs,
        mapping,
        processor,
        schema,
        store,
    };
};
