import { NQuadsParser } from "n-quads-parser";
/**
 * Processes linked-delta responses.
 */
export function linkedDeltaProcessor(lrs) {
    return async function processLinkedDelta(response) {
        let data;
        if (response instanceof Response) {
            data = response.bodyUsed ? "" : await response.text();
        }
        else if (typeof XMLHttpRequest !== "undefined" && response instanceof XMLHttpRequest) {
            data = response.responseText;
        }
        else {
            data = response.body;
        }
        if (!data || data.length === 0) {
            return [];
        }
        const parser = new NQuadsParser(lrs.store.getInternalStore());
        const quads = parser.parseString(data);
        const expedite = response.hasOwnProperty("expedite") ? response.expedite : false;
        lrs.queueDelta(quads, expedite);
        // TODO: Resolve the statements in this request
        return [];
    };
}
