export declare class ComponentCache<T> {
    private lookupCache;
    /**
     * Adds a renderer to {this.lookupCache}
     * @param component The render component.
     * @param key The memoization key.
     * @returns The renderer passed with {component}
     */
    add(component: T | null, key: string): T | null;
    clear(): void;
    /**
     * Resolves a renderer from the {lookupCache}.
     * @param key The key to look up.
     * @returns If saved the render component, otherwise undefined.
     */
    get(key: string): T | null | undefined;
}
