import { SubscriptionRegistrationBase } from "./types";
export interface ProcessBroadcastOpts {
    bulkSubscriptions: Array<SubscriptionRegistrationBase<unknown>>;
    /** Ids of the subjects which have been changed in this batch */
    changedSubjects: string[];
    /**
     * Subject registrations to call
     * It is assumed to only contain subscriptions relevant to the {work}.
     */
    subjectSubscriptions: Array<SubscriptionRegistrationBase<unknown>>;
    timeout: number;
}
/**
 * Tries to schedule updates async if possible.
 */
export declare class ProcessBroadcast {
    private readonly bulkSubscriptions;
    private readonly changedSubjects;
    private readonly hasIdleCallback;
    private readonly hasRequestAnimationFrame;
    private readonly regUpdateTime;
    private subjectSubscriptions;
    private resolve;
    private readonly timeout;
    constructor(opts: ProcessBroadcastOpts);
    done(): boolean;
    run(): Promise<void>;
    /**
     * Calls the subscriber callback function {reg} with the correct arguments according to its
     * registration settings.
     */
    private callSubscriber;
    private process;
    private queue;
}
