export declare class AttributeKey<T> {
    private readonly key;
    constructor(key: string);
    toString(): string;
}
export declare class TypedRecord implements Map<AttributeKey<unknown>, unknown> {
    private records;
    get<T>(key: AttributeKey<T>): T;
    get [Symbol.toStringTag](): string;
    get size(): number;
    [Symbol.iterator](): IterableIterator<[AttributeKey<unknown>, unknown]>;
    clear(): void;
    delete(key: AttributeKey<unknown>): boolean;
    entries(): IterableIterator<[AttributeKey<unknown>, unknown]>;
    forEach(callbackfn: (value: unknown, key: AttributeKey<unknown>, map: Map<AttributeKey<unknown>, unknown>) => void, thisArg?: any): void;
    has(key: AttributeKey<unknown>): boolean;
    keys(): IterableIterator<AttributeKey<unknown>>;
    set<T>(key: AttributeKey<T>, value: T): this;
    values(): IterableIterator<unknown>;
}
