import { LinkedDataAPI } from "./LinkedDataAPI";
import { LinkedRenderStore } from "./LinkedRenderStore";
import { DataProcessor } from "./processor/DataProcessor";
import { LinkedRenderStoreOptions, MiddlewareFn } from "./types";
/**
 * Initializes a {LinkedRenderStore} with tied together middleware.
 * @param storeOpts Constructor arguments for the LRS.
 * @param middleware Main middleware, to be executed before the {linkMiddleware}.
 * @param trailingMiddleware Middleware to be placed after the {linkMiddleware}. Note: defining trailing middleware
 *  causes actions not to be executed via {LinkedRenderStore#execActionByIRI} anymore, this behaviour can be enabled
 *  manually in one of the defined middlewares if still desired.
 */
export declare function createStore<T, API extends LinkedDataAPI = DataProcessor>(storeOpts?: LinkedRenderStoreOptions<T, API>, middleware?: Array<MiddlewareFn<any, API>>, trailingMiddleware?: Array<MiddlewareFn<any, API>>): LinkedRenderStore<T, API>;
