import { SomeTerm } from "@ontologies/core";
import { SomeNode } from "../types";
import { DataSlice } from "./DataSlice";
export declare type OptionalIdOrNode = string | SomeNode | undefined;
export interface RecordBuilder {
    /** Sets the {value} of {field} on the current record */
    field(field: string | SomeNode, value: SomeTerm): this;
    /** Returns the id of the current record. */
    id(): SomeNode;
}
export interface SliceBuilder {
    record(id?: OptionalIdOrNode): RecordBuilder;
}
export declare type SliceCreator = (slice: SliceBuilder) => void;
export declare const buildSlice: (creator: SliceCreator) => DataSlice;
