declare const _default: {
    ns: import("@ontologies/core").Namespace;
    /**
     * Adds the statement to the store, without duplication.
     */
    add: import("@ontologies/core").NamedNode;
    /**
     * Removes the entire subject from the store.
     */
    purge: import("@ontologies/core").NamedNode;
    /***
     * Removes all (subject,predicate,) matches from the store.
     *
     * @see slice
     */
    remove: import("@ontologies/core").NamedNode;
    /***
     * Replaces the (subject, predicate,) with the one(s) in this delta.
     */
    replace: import("@ontologies/core").NamedNode;
    /**
     * Removes all (subject,predicate,object) matches from the store.
     *
     * @see remove
     */
    slice: import("@ontologies/core").NamedNode;
    /**
     * Removes all statements of (subject,,) from the store and replaces them with those in the delta.
     */
    supplant: import("@ontologies/core").NamedNode;
};
export default _default;
