export interface RequestInitGeneratorOpts {
    credentials: "include" | "same-origin" | "omit" | undefined;
    csrfFieldName: string;
    headers?: {
        [k: string]: string;
    };
    mode: "same-origin" | "navigate" | "no-cors" | "cors" | undefined;
    xRequestedWith: string;
}
export declare class RequestInitGenerator {
    readonly credentials: "include" | "same-origin" | "omit" | undefined;
    readonly csrfFieldName: string;
    readonly baseHeaders: {
        [k: string]: string;
    };
    readonly mode: "same-origin" | "navigate" | "no-cors" | "cors" | undefined;
    readonly xRequestedWith: string;
    constructor(opts?: Partial<RequestInitGeneratorOpts>);
    authenticityHeader(options?: {}): Record<string, string>;
    generate(method?: string, accept?: string, body?: BodyInit | null): RequestInit;
    private getHeaders;
    private getMetaContent;
    private getAuthenticityToken;
}
