import { DataFactory, NamedNode, Quadruple, SomeTerm } from "@ontologies/core";
import { DataRecord, Id } from "../datastrucures/DataSlice";
import { SomeNode } from "../types";
import { StructuredStore } from "./StructuredStore";
export interface RDFAdapterOpts {
    data?: Record<Id, DataRecord>;
    quads: Quadruple[];
    dataCallback: (quad: Quadruple) => void;
    onChange: (docId: string) => void;
    rdfFactory: DataFactory;
}
export declare class RDFAdapter {
    readonly rdfFactory: DataFactory;
    readonly recordCallbacks: Array<(recordId: Id) => void>;
    /** @private */
    store: StructuredStore;
    /** @private */
    storeGraph: NamedNode;
    constructor(opts?: Partial<RDFAdapterOpts>);
    /** @deprecated */
    get quads(): Quadruple[];
    /** @deprecated */
    add(subject: SomeNode, predicate: NamedNode, object: SomeTerm, _graph?: SomeNode): Quadruple;
    addRecordCallback(callback: (recordId: Id) => void): void;
    deleteRecord(subject: SomeNode): void;
    /**
     * Remove a quad from the store
     * @deprecated
     */
    remove(st: Quadruple): this;
    /** @deprecated */
    removeQuads(quads: Quadruple[]): this;
    /** @deprecated */
    match(aSubject: SomeNode | null, aPredicate: NamedNode | null, aObject: SomeTerm | null, justOne?: boolean): Quadruple[];
    /** @deprecated */
    quadsForRecord(recordId: Id): Quadruple[];
    /** @private */
    primary(node: SomeNode): SomeNode;
    private handleAlias;
}
