import { Id } from "../datastrucures/DataSlice";
import { RecordState } from "./RecordState";
import { RecordStatus } from "./RecordStatus";
export declare class RecordJournal {
    private readonly data;
    private readonly onChange;
    constructor(onChange: (docId: string) => void, data?: Record<Id, RecordStatus> | undefined);
    copy(onChange?: ((docId: string) => void) | null): RecordJournal;
    /**
     * Get the [RecordStatus] for the [recordId].
     * Will return an invalid status when passing a local id.
     */
    get(recordId: Id): RecordStatus;
    touch(recordId: Id): void;
    transition(recordId: Id, state: RecordState): void;
}
