import { ComponentStore } from "./ComponentStore/ComponentStore";
import { Id } from "./datastrucures/DataSlice";
import { LinkedRenderStore } from "./LinkedRenderStore";
import { DataProcessor } from "./processor/DataProcessor";
import { RDFStore } from "./RDFStore";
import { Schema } from "./Schema";
import { DataProcessorOpts, MiddlewareActionHandler } from "./types";
export declare type BasicComponent = () => string | undefined;
export declare class ComponentStoreTestProxy<T> extends ComponentStore<T> {
    publicLookup(predicate: Id, obj: Id, topology: Id): T | undefined;
}
export interface ExplodedLRS<T> {
    api: DataProcessor;
    apiOpts: Partial<DataProcessorOpts>;
    dispatch: MiddlewareActionHandler;
    forceBroadcast: () => Promise<void>;
    processor: DataProcessor;
    lrs: LinkedRenderStore<T>;
    mapping: ComponentStoreTestProxy<T>;
    store: RDFStore;
    schema: Schema;
}
export declare type GetBasicStoreOpts = Partial<ExplodedLRS<BasicComponent>>;
export declare const getBasicStore: (opts?: GetBasicStoreOpts) => ExplodedLRS<BasicComponent>;
