import { NamedNode, Term } from "@ontologies/core";
import { NamespaceMap } from "../types";
/**
 * Expands a property if it's in short-form while preserving long-form.
 * Note: The vocabulary needs to be present in the store prefix mapping
 * @param prop The short- or long-form property
 * @param namespaces Object of namespaces by their abbreviation.
 * @returns The (expanded) property
 */
export declare function expandProperty(prop: NamedNode | Term | string | undefined, namespaces?: NamespaceMap): NamedNode | undefined;
