import { ErrorResponse, ResponseAndFallbacks } from "../types";
/**
 * Extracts the content type from a request.
 * The content-type value has precedence if it contains a known type.
 * Otherwise it returns the extension if present, or the content-type without the encoding.
 *
 * @summary Extracts the content type from a request.
 */
export declare function getContentType(res: ResponseAndFallbacks): string;
export declare function getJSON(res: ResponseAndFallbacks): Promise<object | ErrorResponse>;
export declare function getHeader(res: ResponseAndFallbacks, header: string): string | null;
export declare function getURL(res: ResponseAndFallbacks): string;
export declare function contentTypeByExtention(ext: string): string;
export declare function contentTypeByMimeString(contentType: string, ext: string): string | undefined;
